* PACKAGE BIASTC  !" 共通 定数(σ座標値, ダミー)
*
*"  [HIS] 96/08/20(takepiro) ヒストリーパッケージとの
*"                           インターフェース合わせダミールーチン
*
***********************************************************************
*"        << モデル座標定数の計算 >>
***********************************************************************
      SUBROUTINE SETCOR
     O         ( ALON  , DLON  ,
     O           ALAT  , DLAT  ,
     O           ASIG  , DSIG  , 
     O           ASIGM , DSIGM   ) 
*
#if   SYS_IBMS
      INCLUDE   (ZCDIM)                  !" 格子点数, 波数
#else
#include        "zcdim.F"                    !" 格子点数, 波数
#endif
*
      REAL       ALON  ( IDIM )              !" 経度
      REAL       DLON  ( IDIM )              !" 経度荷重
      REAL       ALAT  ( JDIM )              !" 緯度
      REAL       DLAT  ( JDIM )              !" 緯度荷重
      REAL       ASIG  ( KDIM )              !" σレベル(整数)
      REAL       ASIGM (KDIM+1)              !" σレベル(半整数)
      REAL       DSIG  ( KDIM )              !" Δσ(整数)
      REAL       DSIGM (KDIM+1)              !" Δσ(半整数)
*
      CALL ACRGET
     O     ( ALON  , DLON  ,
     O       ALAT  , DLAT   )
*
      CALL SETSIG      !"  σレベル 
     O     ( ASIG  , DSIG  , 
     O       ASIGM , DSIGM , 
     D       KMAX  , KDIM    )
*
      RETURN
      END
***********************************************************************
      SUBROUTINE SETSIG      !"  σレベル 
     O         ( ASIG  , DSIG  , 
     O           ASIGM , DSIGM , 
     D           KMAX  , KDIM    )
*
*"               (*  Arakawa & Suarez 鉛直差分 σ座標 *)
*
*   [PARAM] 
      INTEGER    KMAX,  KDIM
*
*   [OUTPUT] 
      REAL       ASIG   ( KDIM )              !" σレベル(整数)
      REAL       ASIGM  (KDIM+1)              !" σレベル(半整数)
      REAL       DSIG   ( KDIM )              !" Δσ(整数)
      REAL       DSIGM  (KDIM+1)              !" Δσ(半整数)
*
      IF ( KMAX .NE. 1 ) THEN
         CALL MSGDMP( 'E', 'SETSIG',
     &                'THIS ROUTINE USABLE ONLY FOR BAROTROPIC MODEL' )
      ENDIF
*
*"         < 1. σ(半整数) >
*
      ASIGM(1)=1
      ASIGM(2)=0
*
*"         < 2. σ, Δσの計算 >
*
      DSIG  ( 1 ) =   ASIGM ( 1 ) - ASIGM ( 2 )
*
      ASIG   ( 1 ) = 0.5
*
      DSIGM ( 1 ) = ASIGM( 1 ) - ASIG ( 1 )
      DSIGM ( 2 ) = ASIG ( 1 ) - ASIGM( 2 )
*
      RETURN
      END
